Web lists-archives.com

Re: Please do not drop Python 2 modules




On 2018-04-21 20:57:55 +0300 (+0300), Adrian Bunk wrote:
[...]
> There are of course cases (e.g. OpenStack) where providing Python 2
> modules in buster is not possible with reasonable effort.

Consider me mildly curious as to why that is. The OpenStack
community rigorously tests all its current projects (both libraries
and services) against Python 2.7, and is only just now starting to
plan for some lengthy discussions about how to evaluate when it will
be safe to officially stop claiming support for that or whether it
will even accept new projects which lack 2.7 support. It's currently
got a mandate to support latest RHEL, which still doesn't officially
provide Python 3.x (and no, "software collections" doesn't count).
-- 
Jeremy Stanley

Attachment: signature.asc
Description: PGP signature